import 'dart:convert';

import '../utils/logger.dart';

class AgoraException implements Exception {
  int code;
  String description;
  dynamic exception;
  StackTrace stackTrace;
  
  AgoraException(this.code, this.description, this.exception, this.stackTrace) {
    Log.silence(this.toString());
  }

  @override
  String toString() {
    return jsonEncode({
      "code": code,
      "description": description,
      "exception": exception?.toString(),
      "stackTrace": stackTrace?.toString(),
    });
  }
}