class StatsFilter {
  static Map<String, String> publishStatsFilter(
      List<Map<String, String>> stats) {
    var result = new Map<String, String>();
    stats.forEach((stat) {
      if (stat["id"] != null && stat["id"].contains("send")) {
        if (stat["mediaType"] == "audio") {
          result["audioSendBytes"] = stat["bytesSent"];
          result["audioSendPackets"] = stat["packetsSent"];
          result["audioSendPacketsLost"] = stat["packetsLost"];
        } else {
          result["videoSendBytes"] = stat["bytesSent"];
          result["videoSendPackets"] = stat["packetsSent"];
          result["videoSendPacketsLost"] = stat["packetsLost"];
          result["videoSendFrameRate"] = stat["googFrameRateSent"];
          result["videoSendResolutionWidth"] = stat["googFrameWidthSent"];
          result["videoSendResolutionHeight"] = stat["googFrameHeightSent"];
        }
      }
    });
    return result;
  }

  static Map<String, String> subscribeStatsFilter(
      List<Map<String, String>> stats) {
    var result = new Map<String, String>();

    stats.forEach((stat) {
      if (stat["id"] != null && stat["id"].contains("recv")) {
        if (stat["mediaType"] == "audio") {
          result["audioReceiveBytes"] = stat["bytesReceived"];
          result["audioReceivePackets"] = stat["packetsReceived"];
          result["audioReceivePacketsLost"] = stat["packetsLost"];
        } else {
          result["videoReceiveBytes"] = stat["bytesReceived"];
          result["videoReceivePacketsLost"] = stat["packetsLost"];
          result["videoReceivePackets"] = stat["packetsReceived"];
          result["videoReceiveFrameRate"] = stat["googFrameRateReceived"];
          result["videoReceiveDecodeFrameRate"] = stat["googFrameRateDecoded"];
          result["videoReceiveResolutionWidth"] =
              stat["googFrameWidthReceived"];
          result["videoReceiveResolutionHeight"] =
              stat["googFrameHeightReceived"];
        }
      }
    });
    return result;
  }
}
