import '../../lib/src/core/choose_server.dart';
import 'package:flutter_test/flutter_test.dart';

void main() async {
  group("choose server single request", () {
    test("success", () async {
      var cd = new ChooseServer(
          clientId: "123",
          uid: 123,
          sid: "4D7889936F524EC9A4234559843076FD",
          appId: "74a0b7bb5d3e47c7abca0533d17b0afa",
          cname: "yyy");

      var res = await cd.singleRequest("ap-web-test.agora.io");
      print(res);
      expect(res["body"].length, greaterThan(0));
    });
  });

  group("choose server request", () {
    var cd;
    setUp(() {
      cd = new ChooseServer(
          clientId: "123",
          uid: 123,
          sid: "4D7889936F524EC9A4234559843076FD",
          appId: "74a0b7bb5d3e47c7abca0533d17b0afa",
          cname: "yyy");
    });

    test(" - success", () async {
      var res = await cd.request();
      expect(res.length, greaterThan(0));
    });

    test(" - duplicate reuqest", () async {
      try {
        cd.request();
        await cd.request();
      } catch(e) {
        expect(e, "duplicate reuqest");
      }
    });

    test(" - cancel reuqest", () {
      cd.request().then((res) {
        expect(res, []);
      });
      cd.cancel();
    });

    test(" - reuqest reuqest", () async {
      cd.request().then((res) {
        expect(res, []);
      });
      cd.cancel();
    });

  });
}
